<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Common CSS Styling and Positioning Properties</title>

	<!-- External CSS  -->
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>

	<!-- Float CSS Property -->
	<h3>Float</h3>
	<p>
		The float property is used for positioning and formatting content. e.g. let an image float left to the text in a containers.
	</p>

	<aside id="float-left">
		Sidebar
	</aside>

	<section>
		<h5>Content</h5>
		<p>
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
			cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
			proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
	</section>
	<!-- Float CSS Property End -->

	<!-- Background CSS Property -->
	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>
	<!-- Background CSS Property End -->

	<!-- CSS Positioning -->
	<h2>CSS Positioning</h2>

	<div class="parent-element">
		<div class="child-one">Child One Here</div>
		<div class="child-two">Child Two Here</div>
		<div class="child-three">Child Three Here</div>
	</div>
	<!-- CSS Positioning End -->

	<!-- Z-Index Property -->
	<h2>Z-Index Example</h2>
	<p>
		An element with greater stack order is always above
		an element with a lower stack order.
	</p>

	<div class="container">
		<div class="black-box">Black box (z-index: 1)</div>
		<div class="red-box">Red box (z-index: 3)</div>
		<div class="green-box">Green box (z-index: 2)</div>
	</div>
	<!-- Z-Index Property End -->

</body>
</html>

